%define name    rapaigawpoker
%define version 1.1
%define release 3mdk

%define section Amusement/Cards
%define title RA Pai Gaw Poker
%define longtitle Poker-like card game

Name:           %{name}
Summary:        %{longtitle}
Version:        %{version}
Release:        %{release}
Source0:        http://relja.narod.ru/download/games/%{name}-%{version}.tar.bz2 
URL:            http://relja.narod.ru/english/download.html
Group:          Games/Cards
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot 
License:        GPL
BuildRequires:  SDL-devel SDL_ttf-devel
Requires:       SDL SDL_ttf

%description
A Poker-like card game, played against a dealer at a casino.
It is played with 52 card deck and a joker. You have a more detailed
help on rules in the game itself.
It has an English (default) and a Serbian language option.


%prep 
%setup -q

%build 
%configure 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Meni
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): \
command="%{_bindir}/%{name}" \
needs="X11" \
icon="%{_datadir}/%{name}/Ikone/48x48/%{name}.png" \
section="%{section}" \
title="%{title}" \
longtitle="%{longtitle}"
EOF

%post
%{update_menus}

%postun
%{clean_menus}


%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README NEWS COPYING AUTHORS THANKS

%{_bindir}/%{name}
%{_datadir}/%{name}/Dugme/*
%{_datadir}/%{name}/Font/*
%{_datadir}/%{name}/Help/*
%{_datadir}/%{name}/Ikone/*
%{_datadir}/%{name}/Karte/*
%{_datadir}/%{name}/Zetoni/*
%{_menudir}/%{name}



%changelog
* Tue Sep 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1-3mdk
- from Relja Arandjelovic <relja@inbox.ru> : 
	- Fixed some errors in english version of help

* Sat Sep 04 2004 Michael Scherer <misc@mandrake.org> 1.1-2mdk

- [DIRM]
- remove bad Requires

* Wed Aug 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk

- from Relja Arandjelovic <relja@inbox.ru> : 
        - Fixed: Another bug related to straights.
        - Added keyboard commands

* Tue Jul 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0-2mdk

- from Relja Arandjelovic <relja@inbox.ru> :
        - Fixed: When someone had 5-4-3-2-1 the card 1 would have an image of joker instead of Ace.
        - Fixed: Game allowed ace+joker in the front and worse cards with ace in back, which is not allowed since ace+joker is a par.
        - Moved the text that says who won the game farther from the bets since it looks better.

* Tue Jul 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk

- from Relja Arandjelovic <relja@inbox.ru> :
        - First release

